From 2dd98d71e474a04fec3c7840c13d283b6763db6a Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 20 2023 06:33:46 +0000
Subject: [PATCH 12/19] [webkit2gtk]: twaek for armv7h


---

diff --git a/nonprism/webkit2gtk/PKGBUILD b/nonprism/webkit2gtk/PKGBUILD
index ba0a66c..69a518b 100644
--- a/nonprism/webkit2gtk/PKGBUILD
+++ b/nonprism/webkit2gtk/PKGBUILD
@@ -6,11 +6,15 @@
 # Contributor: Luke R. <g4jc@openmailbox.org>
 # Contributor: Freemor <freemor@fremor.ca>
 # Contributor: bill-auger <bill-auger@programmer.net>
+# Maintainer (archarm): Kevin Mihelich <kevin@archlinuxarm.org>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
 
 
 # parabola changes and rationale:
 #  - remove geoclue2 support
 #  - pinned to 'icu' sodep
+# archarm changes:
+#  - build v7 with vfpv3, neon is broken
 
 # NOTE: i686 currently fails to build (FS32#310)
 
@@ -178,6 +182,11 @@ build() {
   ## arch-specific config ##
 
   case "${CARCH}" in
+  armv7h)
+    export -n CC CXX
+    LDFLAGS="${LDFLAGS/ -fuse-ld=lld/}"
+    [[ $CARCH == "armv7h" ]] && CFLAGS=`echo $CFLAGS | sed -e 's/neon/vfpv3/'` && CXXFLAGS="$CFLAGS"
+    ;;
   i686)
     # linker runs out of memory on 32-bit
     LDFLAGS+=" -Wl,--no-keep-memory"

